<?php
/**
* Get link from url and change it to new
* @return string
*/
function getLinkFromShortLinks( ){
  require_once $GLOBALS['config']['dir_libraries'].'file-jobs.php';
  require_once $GLOBALS['config']['dir_libraries'].'flat-files.php';
  $oFFS = FlatFilesSerialize::getInstance( );
  $aShortLinks = $oFFS->getData( DB_LINKS, true );
  if( isset( $aShortLinks ) && is_array( $aShortLinks ) && count( $aShortLinks ) > 0 ){
    if( isset( $_GET ) && is_array( $_GET ) ){
      $aKeys = array_keys( $_GET );
      if( isset( $aKeys[0] ) && isset( $aShortLinks[$aKeys[0]] ) ){
        $aData = $_GET;
        foreach( $aData as $sKey => $sValue ){
          if( $aKeys[0] == $sKey ){
            if( $aShortLinks[$aKeys[0]]['iType'] == 2 )
              $sReplace = $aShortLinks[$aKeys[0]]['iLink'].','.$aKeys[0];
            else
              $sReplace = $aKeys[0].','.$aShortLinks[$aKeys[0]]['iLink'];
            $aNew[$sReplace] = '';
            //$_SERVER['REQUEST_URI'] = str_replace( '?'.$aKeys[0], '?'.$sReplace, $_SERVER['REQUEST_URI'] );
            $sReturn = $aShortLinks[$aKeys[0]]['sLang'];
          }
          else
            $aNew[$sKey] = $sValue;
        } // end foreach
        $_GET = $aNew;
      }
    }
  }
  if( isset( $sReturn ) )
    return $sReturn;
} // end function getLinkFromShortLinks

/**
* Returns all short links
* @return array
* @param int $iType
*/
function throwShortLinks( $iType = null ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aShortLinks = $oFFS->getData( DB_LINKS, true );
  if( isset( $aShortLinks ) && is_array( $aShortLinks ) && count( $aShortLinks ) > 0 ){
    if( isset( $iType ) ){
      foreach( $aShortLinks as $sKey => $aValue ){
        if( $iType == $aValue['iType'] && $aValue['sLang'] == LANGUAGE ){
          $aReturn[$aValue['iLink']] = $sKey;
        }
      } // end foreach
      if( isset( $aReturn ) )
        return $aReturn;
    }
    else
      return $aShortLinks;
  }
} // end function throwShortLinks
?>